package cn.com.countrygarden.bi.main.service.wcx;

import cn.com.countrygarden.bi.main.dto.wcx.WcxRegionProjectDto;

import java.util.Date;
import java.util.List;

/**
 * Created by Administrator on 2018/6/23.
 */
public interface WcxRegionProjectService {
    /**
     * 绑定erp项目及其对应erp区域
     */
    public void bindRegionProject();

    /**
     * 查询所有的NC区域
     * @return
     */
    List<WcxRegionProjectDto> selectAllNCRegion();

    /**
     * 查询所有的NC区域下NC项目
     * @param regionName
     * @return
     */
    List<WcxRegionProjectDto> selectNCProject(String regionName);

    /**
     * 查询身份信息对应所在区域
     * @param employeeCardId
     * @return
     */
    WcxRegionProjectDto getByEmployeeCardId(String employeeCardId);

    /**
     * 获取项目总
     */
    WcxRegionProjectDto getProjectInfo(String ncProjectName);

    /**
     * 获取区域总
     */
    WcxRegionProjectDto getRegionInfo(String ncRegionName);

    /**
     * 最多创意获奖的项目
     * @param startDate
     * @param endDate
     * @return
     */
    List<WcxRegionProjectDto> selectBestPassNumberProject(Date startDate, Date endDate);

    /**
     * 最多创意获奖的项目
     * @param startDate
     * @param endDate
     * @return
     */
    List<WcxRegionProjectDto> selectBestPassNumberRegion(Date startDate, Date endDate);

    /**
     * 查询用户所在区域
     * @param userCode
     * @return
     */
    String selectErpRegionName(String userCode);

    /**
     * 转换erp的区域获取可以审核的区域
     * @param userCode
     * @param regionName
     * @return
     */
    List<String> selectErpRegionNameByIn(List<String> userCode, String regionName);

    /**
     * 获取通过用户code获取erp区域
     * @param userCode
     * @return
     */
    List<String> selectErpRegionList(String userCode);
}
